> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Move Database to a group (and creates if necessary)

POST https://meta.feedonomics.com/api.php/dbs/{db_id}/move_db_to_db_group
Content-Type: application/json

Reference: https://docs.feedonomics.com/developer/api-reference/rest/platform-api/database-groups/move-database-to-a-group-and-creates-if-necessary

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `db_id` (integer, required) — ID of the database to move into the group

### Headers

- `x-api-key` (string, required)

### Body (application/json)

This endpoint expects a list of DbsDbIdMoveDbToDbGroupPostRequestBodyContentApplicationJsonSchemaItems.

- `list of DbsDbIdMoveDbToDbGroupPostRequestBodyContentApplicationJsonSchemaItems`

## Response

### 200

successful operation

## Types

### DbsDbIdMoveDbToDbGroupPostRequestBodyContentApplicationJsonSchemaItems

- `source_db_group_id` (integer, required) — The current database db_group_id (or 0)
- `target_db_group_id` (integer, required) — The DB Group ID to assign (-1 if new group)
- `target_db_group_name` (string, required) — If creating a new DB group then this is the name (empty if target_db_group_id &gt; 0)

## Examples

**Request**

```json
[
  {
    "source_db_group_id": 1,
    "target_db_group_id": 1,
    "target_db_group_name": "string"
  }
]
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://meta.feedonomics.com/api.php/dbs/1/move_db_to_db_group"

payload = [
    {
        "source_db_group_id": 1,
        "target_db_group_id": 1,
        "target_db_group_name": "string"
    }
]
headers = {
    "x-api-key": "x-api-key",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://meta.feedonomics.com/api.php/dbs/1/move_db_to_db_group';
const options = {
  method: 'POST',
  headers: {
    'x-api-key': 'x-api-key',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '[{"source_db_group_id":1,"target_db_group_id":1,"target_db_group_name":"string"}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://meta.feedonomics.com/api.php/dbs/1/move_db_to_db_group"

	payload := strings.NewReader("[\n  {\n    \"source_db_group_id\": 1,\n    \"target_db_group_id\": 1,\n    \"target_db_group_name\": \"string\"\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "x-api-key")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://meta.feedonomics.com/api.php/dbs/1/move_db_to_db_group")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = 'x-api-key'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"source_db_group_id\": 1,\n    \"target_db_group_id\": 1,\n    \"target_db_group_name\": \"string\"\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://meta.feedonomics.com/api.php/dbs/1/move_db_to_db_group")
  .header("x-api-key", "x-api-key")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"source_db_group_id\": 1,\n    \"target_db_group_id\": 1,\n    \"target_db_group_name\": \"string\"\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://meta.feedonomics.com/api.php/dbs/1/move_db_to_db_group', [
  'body' => '[
  {
    "source_db_group_id": 1,
    "target_db_group_id": 1,
    "target_db_group_name": "string"
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'x-api-key' => 'x-api-key',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://meta.feedonomics.com/api.php/dbs/1/move_db_to_db_group");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "x-api-key");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"source_db_group_id\": 1,\n    \"target_db_group_id\": 1,\n    \"target_db_group_name\": \"string\"\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "x-api-key",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "source_db_group_id": 1,
    "target_db_group_id": 1,
    "target_db_group_name": "string"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://meta.feedonomics.com/api.php/dbs/1/move_db_to_db_group")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```